//
//  CellWithLabel.m
//  RapidEngineDemo
//
//  Created by fred yu on 8/26/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "CellWithLabel.h"


@implementation CellWithLabel
@synthesize lbl;
- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
    if (self = [super initWithStyle:style reuseIdentifier:reuseIdentifier]) {
        // Initialization code
		self.lbl = [[UILabel alloc] initWithFrame:CGRectZero];
		[self.contentView addSubview:self.lbl];
		[self.lbl release];
		
		
    }
    return self;
}

-(void)layoutSubviews{
	[super layoutSubviews];
	float inset = 5.0;
	CGRect bounds = [[self contentView] bounds];
	float h = bounds.size.height; 
	CGSize label_text_size = [self.lbl.text sizeWithFont:self.lbl.font];
	float labelWidth = label_text_size.width;
	
	
	
	CGRect innerFrame = CGRectMake(inset, inset, labelWidth, h-inset*2);
	[lbl setFrame:innerFrame];
	
	
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
	
    [super setSelected:selected animated:animated];
	
    // Configure the view for the selected state
}


- (void)dealloc {
    
	[lbl release];
	[super dealloc];
}


@end